## ros-noetic-create-bringup 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_bringup)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-create-bringup (2.0.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 09 May 2023 03:34:32 -0000

ros-noetic-create-bringup (1.3.0-1focal) focal; urgency=high

  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Update install rules
  * Refactor launch files and expose robot base and odometry frame IDs as parameters
  * Refactor CMakeLists.txt and package.xml files and add missing install rules
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 10 Jun 2018 07:00:00 -0000

ros-noetic-create-bringup (1.2.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Oct 2016 07:00:00 -0000

ros-noetic-create-bringup (1.1.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sat, 23 Jul 2016 07:00:00 -0000

ros-noetic-create-bringup (1.0.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 24 May 2016 07:00:00 -0000

ros-noetic-create-bringup (1.0.0-1focal) focal; urgency=high

  * Fix typo in joy_teleop.launch
  * Rename 'create_driver' and 'create_tools' to 'ca_driver' and 'ca_tools'
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-noetic-create-bringup (0.4.0-1focal) focal; urgency=high

  * Update teleop configurations files
  * Add configuration file for Logitech F710 controller
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sat, 26 Mar 2016 07:00:00 -0000

ros-noetic-create-bringup (0.3.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-noetic-create-bringup (0.2.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 03 Mar 2016 08:00:00 -0000

ros-noetic-create-bringup (0.1.0-1focal) focal; urgency=high

  * Updated create_tools package
  * Switch to using node handle with private namespace for parameters only
  * Added create_tools with teleop launch and config files
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 05 Feb 2016 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-create-bringup
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/create_bringup
Standards-Version: 3.9.2

Package: ros-noetic-create-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-create-description, ros-noetic-create-driver, ros-noetic-joy, ros-noetic-joy-teleop
Description: Launch and configuration files for common accessories when working with Create/Roomba platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-create-bringup//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
